Show / Hide Table of Contents

# Class FateTable

This collection represents the currently available Fate events.

##### Inheritance

System.Object
FateTable

##### Implements

System.Collections.Generic.IReadOnlyCollection<Fate>
System.Collections.Generic.IEnumerable<Fate>
System.Collections.IEnumerable

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.ClientState.Fates

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class FateTable : IReadOnlyCollection<Fate>, IEnumerable<Fate>, IEnumerable

### Properties

| Improve this Doc View Source

#### Address

Gets the address of the Fate table.

##### Declaration

    public IntPtr Address { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Item[Int32]

Get an actor at the specified spawn index.

##### Declaration

    public Fate this[int index] { get; }

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index | Spawn index.

##### Property Value

Type | Description
--- | ---
Fate | A Fate at the specified spawn index.

| Improve this Doc View Source

#### Length

Gets the amount of currently active Fates.

##### Declaration

    public int Length { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

### Methods

| Improve this Doc View Source

#### CreateFateReference(IntPtr)

Create a reference to a FFXIV actor.

##### Declaration

    public Fate CreateFateReference(IntPtr offset)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | offset | The offset of the actor in memory.

##### Returns

Type | Description
--- | ---
Fate | Fate object containing requested data.

| Improve this Doc View Source

#### GetEnumerator()

##### Declaration

    public IEnumerator<Fate> GetEnumerator()

##### Returns

Type | Description
--- | ---
System.Collections.Generic.IEnumerator<Fate> |

| Improve this Doc View Source

#### GetFateAddress(Int32)

Gets the address of the Fate at the specified index of the fate table.

##### Declaration

    public IntPtr GetFateAddress(int index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index | The index of the Fate.

##### Returns

Type | Description
--- | ---
System.IntPtr | The memory address of the Fate.

### Explicit Interface Implementations

| Improve this Doc View Source

#### IReadOnlyCollection<Fate>.Count

##### Declaration

    int IReadOnlyCollection<Fate>.Count { get; }

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### IEnumerable.GetEnumerator()

##### Declaration

    IEnumerator IEnumerable.GetEnumerator()

##### Returns

Type | Description
--- | ---
System.Collections.IEnumerator |

### Implements

System.Collections.Generic.IReadOnlyCollection<T>
System.Collections.Generic.IEnumerable<T>
System.Collections.IEnumerable